Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364982 - Review Request: nodejs-coffee-coverage - Istanbul and JSCoverage-style instrumentation for CoffeeScript files
Summary: Review Request: nodejs-coffee-coverage - Istanbul and JSCoverage-style instru...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1433783
Blocks: nodejs-reviews 1315038 Node-RED
TreeView+ depends on / blocked
 
Reported: 2016-08-08 10:10 UTC by Jared Smith
Modified: 2017-09-27 15:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-27 15:36:19 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jared Smith 2016-08-08 10:10:07 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-coffee-coverage/nodejs-coffee-coverage.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-coffee-coverage/nodejs-coffee-coverage-1.0.1-1.fc26.src.rpm
Description: Istanbul and JSCoverage-style instrumentation for CoffeeScript files
Fedora Account System Username: jsmith

Comment 1 Jared Smith 2016-10-22 15:29:49 UTC
Can you please continue the package review?

Comment 2 Robert-André Mauchin 2017-09-20 14:29:03 UTC
Please update to 2.0.1.

Many tests fail:

  73 passing (2s)
  2 pending
  10 failing
  1) Istanbul tests should find if branch with no else:
      first statement
      + expected - actual
       {
         "end": {
      +    "column": 29
      -    "column": 30
           "line": 2
         }
         "start": {
           "column": 0
      
    at Context.<anonymous> (test/istanbul/test.coffee:162:68)
  
  2) Istanbul tests should find switch/case branches:
      first statement
      + expected - actual
       {
         "end": {
      +    "column": 22
      -    "column": 23
           "line": 6
         }
         "start": {
           "column": 0
      
    at Context.<anonymous> (test/istanbul/test.coffee:221:68)
  
  3) Istanbul tests should work for a switch with no 'else':
      AssertionError: expected { Object (line, loc, ...) } to deeply equal { Object (line, loc, ...) }
      + expected - actual
       {
         "line": 1
         "loc": {
           "end": {
      +      "column": 22
      -      "column": 23
             "line": 5
           }
           "start": {
             "column": 0
      
    at Context.<anonymous> (test/istanbul/test.coffee:256:46)
  
  4) Istanbul tests should find functions:
      first statement
      + expected - actual
       {
         "end": {
      +    "column": 22
      -    "column": 23
           "line": 2
         }
         "start": {
           "column": 0
      
    at Context.<anonymous> (test/istanbul/test.coffee:272:68)
  
  5) Istanbul tests should find functions with parameters:
      AssertionError: expected { Object (name, line, ...) } to deeply equal { Object (name, line, ...) }
      + expected - actual
         }
         "line": 1
         "loc": {
           "end": {
      +      "column": 22
      -      "column": 23
             "line": 2
           }
           "start": {
             "column": 9
      
    at Context.<anonymous> (test/istanbul/test.coffee:293:42)
  
  6) Istanbul tests should correctly find the end of functions with extra whitespace:
      AssertionError: expected { Object (name, line, ...) } to deeply equal { Object (name, line, ...) }
      + expected - actual
         }
         "line": 1
         "loc": {
           "end": {
      +      "column": 22
      -      "column": 23
             "line": 2
           }
           "start": {
             "column": 9
      
    at test/istanbul/test.coffee:307:46
    at Array.forEach (<anonymous>:null:null)
    at Context.<anonymous> (test/istanbul/test.coffee:301:22)
  
  7) Istanbul tests should find multi-line functions:
      first statement
      + expected - actual
       {
         "end": {
      +    "column": 22
      -    "column": 23
           "line": 6
         }
         "start": {
           "column": 0
      
    at Context.<anonymous> (test/istanbul/test.coffee:324:68)
  
  8) Istanbul tests should find functions in a class:
      class statement
      + expected - actual
       {
         "end": {
      +    "column": 10
      -    "column": 11
           "line": 4
         }
         "start": {
           "column": 0
      
    at Context.<anonymous> (test/istanbul/test.coffee:379:68)
  
  9) Istanbul tests should find name of anonymous class:
      class fn
      + expected - actual
         }
         "line": 1
         "loc": {
           "end": {
      +      "column": 27
      -      "column": 28
             "line": 3
           }
           "start": {
             "column": 4
      
    at Context.<anonymous> (test/istanbul/test.coffee:421:54)
  
  10) Coverage tests should exclude directories specified from the project root when dynamically instrumenting code:
     AssertionError: Code should have been instrumented: expected undefined to exist
    at Context.<anonymous> (test/tests.coffee:53:78)
  
+ exit 10

Comment 3 Robert-André Mauchin 2017-09-23 11:40:35 UTC
Tests fail in Koji too.

Comment 5 Robert-André Mauchin 2017-09-25 09:05:45 UTC
Needs npm(minimatch) >= 3.0.2 (bug #1433783)

Package accepted.

Comment 6 Jared Smith 2017-09-27 10:11:49 UTC
'Requested package in ticket https://pagure.io/releng/fedora-scm-requests/issue/1648'

Comment 7 Gwyn Ciesla 2017-09-27 12:20:29 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-coffee-coverage

Comment 8 Jared Smith 2017-09-27 15:36:19 UTC
In rawhide, closing bug


Note You need to log in before you can comment on or make changes to this bug.